<?php
$StrU="CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `v_anios` AS select year(`ventas`.`fec`) AS `ANIO` from `ventas` group by 1 order by 1;";

$StrA=str_replace("ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER"," ",$StrU);
echo $StrA;
?>